*,
::before,
::after
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root
{
    --white: #fff;
    --black: #1e1e1e;
    --gray: #B0B3B8;
    --l-gray: #F8F2FC;
    --l-blue: #A0D3E8;
    --l-lavender: #DFC3E9;
    --px5: 5px;
    --px10: 10px;
    --px20: 20px;
    --px40: 20px;
    --px50: 25px;
}

/*#region Fonts*/

@font-face {
	font-family: 'Marck Script';
	src: 
    local('Marck Script'),
    url('../fonts/MarckScript-Regular.woff2') format('woff2'), 
    url('../fonts/MarckScript-Regular.woff') format('woff');
	font-weight: 400;
	font-style: normal;
    font-display: swap;
}
@font-face {
	font-family: 'Cormorant';
	src:
    local('Cormorant'),
    url('../fonts/Cormorant-Regular.woff2') format('woff2'), 
    url('../fonts/Cormorant-Regular.woff') format('woff');
	font-weight: 400;
	font-style: normal;
    font-display: swap;
}
@font-face {
	font-family: 'Cormorant';
	src: 
    local('Cormorant'),
    url('../fonts/Cormorant-SemiBold.woff2') format('woff2'), 
    url('../fonts/Cormorant-SemiBold.woff') format('woff');
	font-weight: 600;
	font-style: normal;
    font-display: swap;
}
@font-face {
	font-family: 'Montserrat';
	src: 
    local('Montserrat'),
    url('../fonts/Montserrat-Light.woff2') format('woff2'), 
    url('../fonts/Montserrat-Light.woff') format('woff');
	font-weight: 300;
	font-style: normal;
    font-display: swap;
}
@font-face {
	font-family: 'Montserrat';
	src: 
    local('Montserrat'),
    url('../fonts/Montserrat-LightItalic.woff2') format('woff2'), 
    url('../fonts/Montserrat-LightItalic.woff') format('woff');
	font-weight: 300;
	font-style: italic;
    font-display: swap;
}
/*#endregion*/

body
{
    position: relative;
    font-family: 'Montserrat', Arial, Helvetica, sans-serif;
    font-weight: 300;
    line-height: 1.2;
    background: var(--light-gray);
}


img,
video,
svg
{
    max-width: 100%;
    height: auto;
}

a
{
    color: var(--black);
}

.container
{
    padding-left: 15px;
    padding-right: 15px;
}
.list--row,
.d-flex
{
    display: flex;
}
.row
{
    display: flex;
    flex-wrap: wrap;
    gap: var(--px20);
}
.row--no-gap
{
    gap: 0;
}
.row__two-col
{
    width: 100%;
}
.list
{
    list-style: none;
}
button
{
    cursor: pointer;
}
.title
{
    position: relative;
    font-family: 'Cormorant', Georgia, 'Times New Roman', Times, serif;
    font-weight: 600;
    line-height: 1;
}
.title--h1
{
    font-size: 36px;
}
.title--h2
{
    font-size: 46px;
}

ul:not([class]),
ol:not([class])
{
    margin-left: 15px;
	line-height: 1.5;
}
* + h2:not([class]),
* + h2.wp-block-heading,
* + h3:not([class]),
* + h4:not([class]),
* + h5:not([class]),
* + p:not([class]),
* + ul:not([class]),
* + ol:not([class]),
* + .wp-block-image,
* + blockquote:not([class]),
* + .wp-caption,
* + table
{
    margin-top: 20px;
}

.title--pink-line::after
{
    position: absolute;
    bottom: 50%;
    top: 50%;
    left: 5px;
    content: "";
    display: block;
    width: 70px;
    height: 10px;
    background: var(--pink);
    z-index: -1;
}

.btn
{
    display: inline-block;
    padding: 15px 25px;
    text-decoration: none;
    border-radius: 5px;
    font-size: 18px;
    border: 0;
    line-height: 1;
}
.btn--yellow
{
    position: relative;
    color: var(--black);
    background: var(--l-blue);
}
.btn--grey
{
    color: var(--black);
    background: var(--light-gray);
}
.m-t-b
{
    margin-top: var(--px50);
    margin-bottom: var(--px50);
}
.m-t-b-small
{
    margin-top: var(--px20);
    margin-bottom: var(--px20);
}
.p-t-b
{
    padding-top: var(--px50);
    padding-bottom: var(--px50);
}
.p-all
{
    padding: var(--px20);
}
.b-radius
{
    border-radius: 15px;
}
.t-c
{
    text-align: center;
}
.t-justify
{
    text-align: justify;
}
.bg-white
{
    background: var(--white);
}
.bg-grey
{
    background: var(--light-gray);
}
/*#region Header*/
.header 
{
    position: relative;
    
}
.header--absolute
{
    position: absolute;
    top: 0;
    width: 100%;
    background: transparent;
    z-index: 100;
}
.header__wrapper
{
    align-items: center;
    justify-content: space-between;
    padding-top: 15px;
    padding-bottom: 15px;
}
.header__logo
{
    text-transform: uppercase;
}

.header__btn-list
{
    position: relative;
    margin-left: auto;
    align-items: center;
}
.header__btn-item--btn
{
    width: 48px;
    height: 48px;
    align-items: center;
    justify-content: center;
}
.header__menu-btn 
{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    width: 35px;
    height: 35px;
    gap: 5px;
    border: 0;
    background: transparent;
    cursor: pointer;
}
.header__menu-btn::before,
.header__menu-btn::after
  {
    content: "";
  }
.header__menu-btn::before,
.header__menu-btn::after,
.header__menu-icon 
{
    width: 35px;
    height: 1px;
    background: var(--black);
    transition: 0.3s ease-in-out;
}
.header__menu-icon 
{
    width: 20px;
    background: var(--black);
}
.nav__list
{
    position: fixed;
    left: 0;
    top: 0;
    flex-direction: column;
    width: 100%;
    height: 100vh;
    padding: 35px;
    max-width: 300px;
    background: var(--white);
    transition: 0.5s;
    transform: translateX(-100%);
    z-index: 100;
}
.nav__list.show
{
    transform: translateX(0);
}
.nav__link
{
    display: inline-block;
    width: 100%;
    padding: 15px 0;
    font-family: 'Cormorant', Georgia, 'Times New Roman', Times, serif;
    font-size: 18px;
    font-weight: 400;
    line-height: 1;
    color: var(--black);
    text-decoration: none;
    border-bottom: 1px solid var(--light-gray);
}
.nav__sub-menu
{
    display: none;
}


.header__contacts-list
{
    gap: 10px;
}
.header__contacts-wrapper
{
    position: absolute;
    right: 0;
    top: 100%;
    display: none;
    padding: 15px;
    gap: 10px;
    flex-direction: column;
    background: var(--white);
}
.header__contacts-wrapper--active
{
    display: flex;
    
}
.header__contacts-item
{
    flex-direction: column;
    gap: 5px;
}
.header__item-title
{
    font-size: 12px;
    line-height: 1;
}
.header__contacts-link
{
    font-size: 14px;
    line-height: 1;
    color: var(--black);
    text-decoration: none;
}
.header__btn-item--mes-link 
{
    background: none;
    border: 0;
}
/*#endregion*/

/*#region Main*/
.main--p-t
  {
    padding-top: var(--px20);
  }
/*#endregion*/

/*#region Primary*/

.primary
{
    position: relative;
    padding-top: 100px;
    padding-bottom: 65px;
    overflow: hidden;
}
.primary__wrapper
{
    position: relative;
    height: 100%;
    width: 100%;
    color: var(--black);
    z-index: 2;  
}
.primary__info-wrapper
{
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
    gap: var(--px10);
}
.primary__title
{
    font-size: 36px;
    font-weight: bold;
    line-height: 1;
    font-family: 'Marck Script';
}
.primary__subtitle
{
    font-size: 18px;
    font-weight: 300;
}


/*#endregion*/

/*#region Section Header - Page Header */

.section-header
{
    position: relative;
    margin-bottom: var(--px20);
    z-index: 2;
}

.page-header
{
    margin-bottom: var(--px20);
}
.page-header--btn-bx
{
    align-items: center;
    justify-content: space-between;
    gap: var(--px20);
}
.page-header__btn-cat
{
    align-items: center;
    justify-content: space-between;
    padding: 5px 15px;
    border: 1px solid var(--black);
    color: var(--black);
    border-radius: 10px;
    text-decoration: none;
}
.page-header__btn-cat::after
{
    content: "";
    display: block;
    width: 20px;
    height: 20px;   
    flex-shrink: 0;
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 22 21' fill='none'%3e%3cpath d='M7.875 14.51625L12.072875 10.5L7.875 6.48375L9.1675 5.25L14.6675 10.5L9.1675 15.75L7.875 14.51625Z' fill='black'%3e%3c/path%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 20px;
}

.page__desc-wrapper
{
    font-family: "Montserrat", sans-serif;
}
/*#endregion*/


/*#region Page*/



/*#endregion*/
/*#region Tour*/

.tour__item,
.tour__info-wrapper 
{
    flex-direction: column;
    gap: 15px;
}
.tour__info-wrapper 
{
    padding: 10px;
    text-align: center;
}
.tour__item-img
{
    width: 100%;
    object-fit: cover;
}
.tour__item-link
{
    color: var(--black);
    text-decoration: none;
}
/*#endregion*/

/*#region Single-tour*/

.single-tour__info-wrapper
{
    flex-direction: column;
    align-items: flex-start;
    gap: var(--px20);
}
.single-tour__title
{
    font-size: 34px;
}
.single-tour__detail-wrapper
{
    flex-direction: column;
    gap: var(--px5);
}
.single-tour__wrapper--cat
{
    align-items: center;
}
.single-tour__btn-list
{
    gap: var(--px10);
    align-items: center;
    justify-content: flex-start;
}
/*#endregion*/

/*#region Contacts*/

.contacts__wrapper
{
    align-items: center;
}
.contacts__list
{
    flex-direction: column;
}
.contacts__social,
.contacts__desc-wrapper,
.contacts__list
{
    margin-bottom: var(--px20);
}
/*#endregion*/


/*#region Footer*/
.footer
{
    background-color: #f2f1ec;
}
.footer__wrapper
{
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: var(--px20) 0;
    gap: var(--px10);
}

.footer__copyright
{
    font-size: 12px;
}
.footer__contacts
{
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.footer__contacts-link,
.contacts__list-link,
.footer__link,
.form__checkbox-text a
{
    color: var(--black);
    line-height: 1;
    text-decoration: none;
}
.footer__link-list
{
    flex-wrap: wrap;
    gap: 5px;
}
.footer__link
{
    font-size: 12px;
    line-height: 1;
}
/*#endregion*/

/*#region Social*/
.social
{
    gap: 5px;
}
.social__link
{
    align-items: center;
    justify-content: center;
}
.social__link--big
{
    width: 48px;
    height: 48px;
    background: var(--white);
    border-radius: 10px;
}
/*#region*/


/*#region Modal*/
.overlay
{
	opacity: 0;
	visibility: hidden;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, .5);
	z-index: 20;
	transition: .3s all;
} 
.modal 
{
    position: fixed;
	top: 50%;
	left: 50%;
    width: 100%;
	opacity: 0;
	visibility: hidden;	
    overflow: auto;
	transform: translate(-50%, -50%);
	box-shadow: 0 3px 10px -.5px rgba(0, 0, 0, .2); 
	background: var(--white);
	transition: 0.3s all;
    z-index: 150;
}

.modal--medium
{
    max-width: 550px;
}
.modal.active,
.overlay.active
{
	opacity: 1;
	visibility: visible;
}
.modal__cross 
{
    position: absolute;
	top: 10px;
	right: 10px;
	width: 15px;
	height: 15px;
	fill: var(--yellow);
	cursor: pointer;
    z-index: 10;
}
.modal__cross:hover
{
    fill: var(--black);
}

.modal__form-wrapper
{
    position: relative;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: var(--px20);
    text-align: center;
    color: var(--black);
    z-index: 9;
}
.modal__img
{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.wpcf7-spinner
{
    position: absolute!important;
    bottom: 0;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
}

.form
{
    flex-direction: column;
    width: 100%;
    gap: 10px;
    justify-content: center;
    align-items: flex-start;
}

.form__field
{
    width: 100%;
    padding: 15px 10px;
    border: 1px solid rgb(237 237 237);
    border-radius: 10px;
    outline: none;
    transition: .3s;
}
.form__field:focus
{
    border: 1px solid var(--yellow);
}
.form__button
{
    align-self: center;
    cursor: pointer;
}
.form__fieldset
{
    flex-direction: column;
    gap: 10px;
    width: 100%;
    border: 0;
    text-align: left;
}
.form__fieldset-wrapper
{
    margin-top: 10px;
    gap: 10px;
}
.form__icon-label,
.form__checkbox-label
{
    position: relative;
    cursor: pointer;
}
.form__label,
.form__icon-label,
.form__legend
{
    font-size: 16px;
    font-weight: bold;
    line-height: 1;
    cursor: pointer;
}
.form__icon-field[type="radio"],
.form__checkbox-field[type="checkbox"] {
    opacity: 0;
    position: absolute;
    left: 0; top: 0;
    width: 100%; 
    height: 100%;
    cursor: pointer;
    margin: 0;
    z-index: 2;
  }
  
  .form__icon-wrapper
  {
    align-items: center;
    justify-content: center;
    width: 45px;
    height: 45px;
    box-shadow: 0 4px 16px rgb(0 51 153 / 4%), 0 2px 2px rgb(0 51 153 / 8%);
    border-radius: 50%;
    border: 4px solid var(--white);
    transition: .3s;
  }

  .form__icon-label svg {
    pointer-events: none;
  }
  
  .form__icon-label .form__icon-field[type="radio"]:checked + .form__icon-wrapper {
    border: 4px solid var(--yellow);
  }
 
  .form__checkbox-label
  {
    align-items: center;
    gap: 10px;
  }
  .form__checkbox-icon
  {
    position: relative;
    display: inline-flex;
    width: 20px;
    height: 20px;
    padding: 10px;
    border: 2px solid rgb(237 237 237);
    border-radius: 50%;
    cursor: pointer;
    
  }
  .form__checkbox-icon:before 
  {
    position: absolute;
    top: 50%;
    left: 50%;
    content: '';
    display: block;
    width: 17px;
    height: 17px;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    transition: .3s;
  }
  .form__checkbox-field:checked + .form__checkbox-icon:before 
  {
    
    background: var(--l-lavender);
  }
  .form__checkbox-text
  {
    text-align: left;
    font-size: 14px;
  }
  .form__checkbox-text a
  {
    text-decoration: underline;
  }
  .form__success
  {
    flex-direction: column;
    align-items: center;
    gap: 10px;
  }
  .form__success-title
  {
    font-size: 24px;
    line-height: 1;
    font-weight: bold;
  }
/*#endregion*/

/*#region Cookie*/


.notification-cookie
{
    display: none;
    flex-direction: column;
    gap: 20px;
	padding: 20px;
    max-width: 360px;
    background: var(--white);
	box-shadow: 0 4px 16px rgb(0 51 153 / 4%), 0 2px 2px rgb(0 51 153 / 8%);
    border-radius: 20px;
    z-index: 50;
}


/*#endregion*/

@media (min-width: 480px)
{
    .primary__title
    {
        font-size: 48px;
    }
}

@media (min-width: 767px)
{
    :root
    {
        --px5: 10px;
        --px10: 20px;
        --px20: 40px;
    }
    .title--h1-page
    {
        font-size: 48px;
    }

    .row__two-col
{
        width: calc((100% - var(--px20)) / 2);
}
.row__two-col--no-gap
{
        width: calc((100% - var(--px20)) / 2);
}
.row__three-col
{
        width: calc(( 100% - var(--px20) * 2 ) / 3);
}
.primary__info-wrapper
{
    max-width: 550px;
}
.primary__subtitle
{
    font-size: 22px;
}

}
@media (min-width: 990px)
{
    :root
    {
        --px40: 60px;
        --px50: 75px;
    }
    .title--h1
    {
        font-size: 50px;
    }
    .header__wrapper
    {
        gap: 35px;
    }
    .nav__list
    {
        position: relative;
        flex-direction: row;
        height: auto;
        padding: 0;
        background: transparent;
        transform: none;
        max-width: 100%;
    }
    .nav__item:first-of-type .nav__link
    {
        padding-left: 0;
    }
    .nav__item:last-of-type .nav__link
    {
        padding-right: 0;
    }
    .nav__link
    {
        padding: 15px;
        border-bottom: 0;
    }
    
    .header__btn-item--mobile 
    {
        display: none;
    }
    .primary
    {
        padding-top: 165px;
    }
}
@media (min-width: 1160px)
{
    .primary__title
    {
        font-size: 60px;
    }

    .container
    {
        max-width: 1160px;
        margin-left: auto;
        margin-right: auto;
        padding-left: 0;
        padding-right: 0;
    }
}